Qt 5.9 | Qt Quick Controls | QML Types | TableViewStyle QML Type

Qt 5.9.9 Reference Documentation

# TableViewStyle QML Type

Provides custom styling for TableView More...

Import Statement: | import QtQuick.Controls.Styles 1.4
Since: | Qt 5.1
Inherits: | ScrollViewStyle

- List of all members, including inherited members

## Properties

- activateItemOnSingleClick : bool
- alternateBackgroundColor : color
- backgroundColor : color
- highlightedTextColor : color
- textColor : color

## Detailed Description

## Property Documentation

activateItemOnSingleClick : bool

Activates items on single click.

Its default value is `false`.

alternateBackgroundColor : color

The alternate background color.

backgroundColor : color

The background color.

highlightedTextColor : color

The text highlight color, used within selections.

textColor : color

The text color.